Loading...
Searching...
No Matches
BALL::VIEW::InteractionModeManager Class Reference

`#include <BALL/VIEW/KERNEL/MODES/interactionModeManager.h>`

Inheritance diagram for BALL::VIEW::InteractionModeManager:

## Public Member Functions

| InteractionModeManager (Scene *scene)
virtual | ~InteractionModeManager ()
QString | getCurrentModeName () const
virtual void | keyPressEvent (QKeyEvent *evt)
virtual void | keyReleaseEvent (QKeyEvent *evt)
virtual void | mouseDoubleClickEvent (QMouseEvent *evt)
virtual void | mouseMoveEvent (QMouseEvent *evt)
virtual void | mousePressEvent (QMouseEvent *evt)
virtual void | mouseReleaseEvent (QMouseEvent *evt)
virtual void | wheelEvent (QWheelEvent *evt)
virtual void | addToolBarEntries (QToolBar *tb)
virtual void | populateContextMenu (QMenu *menu)
void | setStereoMode (bool stereo_mode)
virtual void | setMouseSensitivity (float sensitivity)
virtual void | setMouseWheelSensitivity (float sensitivity)
void | switchToLastMode ()

## Protected Slots

void | setMode_ (InteractionMode *new_mode)

## Protected Member Functions

void | init_ ()
bool | handleStereoKeyPress_ (QKeyEvent *evt)

## Protected Attributes

Renderer::StereoMode | stereo_mode_
InteractionMode * | current_mode_
InteractionMode * | last_mode_
QActionGroup * | actions_
std::list< InteractionMode * > | modes_
Scene * | scene_
bool | need_update_

## Detailed Description

Definition at line 27 of file interactionModeManager.h.

## Constructor & Destructor Documentation

## InteractionModeManager()

BALL::VIEW::InteractionModeManager::InteractionModeManager | ( | Scene * | scene | ) |

## ~InteractionModeManager()

virtual BALL::VIEW::InteractionModeManager::~InteractionModeManager | ( |  | ) |

virtual

## Member Function Documentation

## addToolBarEntries()

virtual void BALL::VIEW::InteractionModeManager::addToolBarEntries | ( | QToolBar * | tb | ) |

virtual

## getCurrentModeName()

QString BALL::VIEW::InteractionModeManager::getCurrentModeName | ( |  | ) | const

## handleStereoKeyPress_()

bool BALL::VIEW::InteractionModeManager::handleStereoKeyPress_ | ( | QKeyEvent * | evt | ) |

protected

## init_()

void BALL::VIEW::InteractionModeManager::init_ | ( |  | ) |

protected

## keyPressEvent()

virtual void BALL::VIEW::InteractionModeManager::keyPressEvent | ( | QKeyEvent * | evt | ) |

virtual

## keyReleaseEvent()

virtual void BALL::VIEW::InteractionModeManager::keyReleaseEvent | ( | QKeyEvent * | evt | ) |

virtual

## mouseDoubleClickEvent()

virtual void BALL::VIEW::InteractionModeManager::mouseDoubleClickEvent | ( | QMouseEvent * | evt | ) |

virtual

## mouseMoveEvent()

virtual void BALL::VIEW::InteractionModeManager::mouseMoveEvent | ( | QMouseEvent * | evt | ) |

virtual

## mousePressEvent()

virtual void BALL::VIEW::InteractionModeManager::mousePressEvent | ( | QMouseEvent * | evt | ) |

virtual

## mouseReleaseEvent()

virtual void BALL::VIEW::InteractionModeManager::mouseReleaseEvent | ( | QMouseEvent * | evt | ) |

virtual

## populateContextMenu()

virtual void BALL::VIEW::InteractionModeManager::populateContextMenu | ( | QMenu * | menu | ) |

virtual

## setMode_

void BALL::VIEW::InteractionModeManager::setMode_ | ( | InteractionMode * | new_mode | ) |

protected slot

## setMouseSensitivity()

virtual void BALL::VIEW::InteractionModeManager::setMouseSensitivity | ( | float | sensitivity | ) |

virtual

## setMouseWheelSensitivity()

virtual void BALL::VIEW::InteractionModeManager::setMouseWheelSensitivity | ( | float | sensitivity | ) |

virtual

## setStereoMode()

void BALL::VIEW::InteractionModeManager::setStereoMode | ( | bool | stereo_mode | ) |

## switchToLastMode()

void BALL::VIEW::InteractionModeManager::switchToLastMode | ( |  | ) |

## wheelEvent()

virtual void BALL::VIEW::InteractionModeManager::wheelEvent | ( | QWheelEvent * | evt | ) |

virtual

## Member Data Documentation

## actions_

QActionGroup* BALL::VIEW::InteractionModeManager::actions_

protected

Definition at line 63 of file interactionModeManager.h.

## current_mode_

InteractionMode* BALL::VIEW::InteractionModeManager::current_mode_

protected

Definition at line 61 of file interactionModeManager.h.

## last_mode_

InteractionMode* BALL::VIEW::InteractionModeManager::last_mode_

protected

Definition at line 62 of file interactionModeManager.h.

## modes_

std::list<InteractionMode*> BALL::VIEW::InteractionModeManager::modes_

protected

Definition at line 64 of file interactionModeManager.h.

## need_update_

bool BALL::VIEW::InteractionModeManager::need_update_

protected

Definition at line 66 of file interactionModeManager.h.

## scene_

Scene* BALL::VIEW::InteractionModeManager::scene_

protected

Definition at line 65 of file interactionModeManager.h.

## stereo_mode_

Renderer::StereoMode BALL::VIEW::InteractionModeManager::stereo_mode_

protected

Definition at line 60 of file interactionModeManager.h.